Bug 1591111 - Review Request: perl-Hash-AutoHash - Object-oriented access to real and tied hashes
Summary: Review Request: perl-Hash-AutoHash - Object-oriented access to real and tied ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1591109
Blocks: 1591116
TreeView+ depends on / blocked
 
Reported: 2018-06-14 05:59 UTC by Petr Pisar
Modified: 2018-06-14 13:40 UTC (History)
2 users (show)

Fixed In Version: perl-Hash-AutoHash-1.17-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-14 13:40:25 UTC
Type: ---
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Petr Pisar 2018-06-14 05:59:18 UTC
Spec URL: https://ppisar.fedorapeople.org/perl-Hash-AutoHash/perl-Hash-AutoHash.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-Hash-AutoHash/perl-Hash-AutoHash-1.17-1.fc29.src.rpm
Description:
This is yet another Perl module that lets you access or change the elements of
a hash using methods with the same name as the element's key. It follows in
the footsteps of Hash::AsObject, Hash::Inflator, Data::OpenStruct::Deep,
Object::AutoAccessor, and probably others. The main difference between this
module and its forebears is that it supports tied hashes, in addition to
regular hashes.

Fedora Account System Username: ppisar

Comment 1 Jitka Plesnikova 2018-06-14 10:30:45 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed

BuildRequires are almost ok
FIX: Please remove duplicity from build-requires
    - List::MoreUtils
    - Scalar::Util

$ rpm -qp --requires perl-Hash-AutoHash-1.17-1.fc29.noarch.rpm | sort | uniq -c
      1 perl(Carp) >= 1.2
      1 perl(List::MoreUtils) >= 0.33
      1 perl(:MODULE_COMPAT_5.26.2)
      1 perl(Scalar::Util)
      1 perl(strict)
      1 perl(Tie::Hash) >= 1.04
      1 perl(Tie::ToObject) >= 0.03
      1 perl(vars)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-Hash-AutoHash-1.17-1.fc29.noarch.rpm | sort | uniq -c
      1 perl(Hash::AutoHash) = 1.17
      1 perl-Hash-AutoHash = 1.17-1.fc29
      1 perl(Hash::AutoHash::alias)
      1 perl(Hash::AutoHash::helper)
Binary provides are Ok.

$ rpmlint ./perl-Hash-AutoHash*
perl-Hash-AutoHash.noarch: W: spelling-error %description -l en_US AsObject -> As Object, As-object, Object
perl-Hash-AutoHash.noarch: W: spelling-error %description -l en_US Inflator -> Inflation, Infiltrator, Inhalator
perl-Hash-AutoHash.noarch: W: spelling-error %description -l en_US OpenStruct -> Reconstruct, Construct
perl-Hash-AutoHash.noarch: W: spelling-error %description -l en_US AutoAccessor -> Accessorize
perl-Hash-AutoHash.src: W: spelling-error %description -l en_US AsObject -> As Object, As-object, Object
perl-Hash-AutoHash.src: W: spelling-error %description -l en_US Inflator -> Inflation, Infiltrator, Inhalator
perl-Hash-AutoHash.src: W: spelling-error %description -l en_US OpenStruct -> Reconstruct, Construct
perl-Hash-AutoHash.src: W: spelling-error %description -l en_US AutoAccessor -> Accessorize
2 packages and 1 specfiles checked; 0 errors, 8 warnings.
Rpmlint is ok

Please correct 'FIX' issue.

The package looks good.
Approved

Comment 2 Gwyn Ciesla 2018-06-14 13:12:01 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-Hash-AutoHash

Comment 3 Petr Pisar 2018-06-14 13:40:25 UTC
Thank you for the review and the repository. I removed the duplicate build requirements.


Note You need to log in before you can comment on or make changes to this bug.